Package org.apache.tools.ant.util

# Class Native2AsciiUtils

java.lang.Object
org.apache.tools.ant.util.Native2AsciiUtils

public class Native2AsciiUtils extends Object
Contains helper methods for Ant's built-in implementation of native2ascii.

Since:
  Ant 1.9.8

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Native2AsciiUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `ascii2native(String line)`
  Replaces Unicode-Escapes.
  `static String`
  `native2ascii(String line)`
  Replaces non-ASCII characters with their Unicode-Escapes.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Native2AsciiUtils

    public Native2AsciiUtils()

- ## Method Details

  - ### native2ascii

    public static String native2ascii(String line)
    Replaces non-ASCII characters with their Unicode-Escapes.

    Expects to be called once per line if applied to a file.

    Parameters:
      `line` - the input line
    Returns:
      the translated line

  - ### ascii2native

    public static String ascii2native(String line)
    Replaces Unicode-Escapes.

    Expects to be called once per line if applied to a file.

    Parameters:
      `line` - the input line
    Returns:
      the translated line